You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     h...@freebsd.org
Last committer: amd...@freebsd.org
Ident:          $FreeBSD: branches/2016Q4/mail/mu4e/Makefile 421635 2016-09-09 
19:42:46Z amdmi3 $
Log URL:        
http://beefy15.nyi.freebsd.org/data/110armv6-quarterly/427426/logs/mu4e-0.9.16.log
Build URL:      
http://beefy15.nyi.freebsd.org/build.html?mastername=110armv6-quarterly&build=427426
Log:

====>> Building mail/mu4e
build started at Thu Dec  1 01:30:15 UTC 2016
port directory: /usr/ports/mail/mu4e
building for: FreeBSD 110armv6-quarterly-job-09 11.0-RELEASE-p3 FreeBSD 
11.0-RELEASE-p3 r308202 arm
maintained by: h...@freebsd.org
Makefile ident:      $FreeBSD: branches/2016Q4/mail/mu4e/Makefile 421635 
2016-09-09 19:42:46Z amdmi3 $
Poudriere version: 3.1.14
Host OSVERSION: 1200010
Jail OSVERSION: 1100122
Job Id: 09

---Begin Environment---
SHELL=/bin/csh
UNAME_p=armv6
UNAME_m=arm
ABI_FILE=/usr/lib/crt1.o
UNAME_v=FreeBSD 11.0-RELEASE-p3 r308202
UNAME_r=11.0-RELEASE-p3
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
OPSYS=FreeBSD
ARCH=armv6
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/110armv6-quarterly/ref
QEMU_EMULATING=1
UID=0
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
_JAVA_VERSION_LIST_REGEXP=1.6\|1.7\|1.8\|1.6+\|1.7+\|1.8+
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=mu4e-0.9.16
OSREL=11.0
_OSRELEASE=11.0-RELEASE-p3
PYTHONBASE=/usr/local
OLDPWD=/
_SMP_CPUS=28
PWD=/usr/local/poudriere/data/.m/110armv6-quarterly/ref/.p/pool
MASTERNAME=110armv6-quarterly
SCRIPTPREFIX=/usr/local/share/poudriere
_JAVA_VENDOR_LIST_REGEXP=openjdk\|oracle\|sun
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.14
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
CONFIGURE_MAX_CMD_LEN=262144
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
_JAVA_OS_LIST_REGEXP=native\|linux
OSVERSION=1100122
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for mu4e-0.9.16:
     DOCS=on: Build and/or install documentation
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--
--disable-gtk  --disable-webkit  --disable-guile  
--docdir="/usr/local/share/doc/mu4e"  --enable-mu4e --prefix=/usr/local 
${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
MAKE=gmake PKG_CONFIG=pkgconf XDG_DATA_HOME=/wrkdirs/usr/ports/mail/mu4e/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/mail/mu4e/work  
HOME=/wrkdirs/usr/ports/mail/mu4e/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh CONFIG_SITE=/usr/ports/Templates/config.site 
lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/mail/mu4e/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/mail/mu4e/work  
HOME=/wrkdirs/usr/ports/mail/mu4e/work TMPDIR="/tmp" NO_PIE=yes 
MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES 
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  
CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe  -fno-strict-aliasing"  
CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS=""  LDFLAGS="" LIBS=""  
CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing "  
MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  
BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 555"  
BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
DOCS=""
NO_DOCS="@comment
"
EMACS_LIBDIR=share/emacs
EMACS_VER=25.1
EMACS_LIBDIR_WITH_VER=share/emacs/25.1
EMACS_SITE_LISPDIR=share/emacs/site-lisp
EMACS_VERSION_SITE_LISPDIR=share/emacs/25.1/site-lisp
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/mu4e"
EXAMPLESDIR="share/examples/mu4e"
DATADIR="share/mu4e"
WWWDIR="www/mu4e"
ETCDIR="etc/mu4e"
--End PLIST_SUB--

--SUB_LIST--
DOCS=""
NO_DOCS="@comment
"
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/mu4e
DOCSDIR=/usr/local/share/doc/mu4e
EXAMPLESDIR=/usr/local/share/examples/mu4e
WWWDIR=/usr/local/www/mu4e
ETCDIR=/usr/local/etc/mu4e
--End SUB_LIST--

---Begin make.conf---
.sinclude "/etc/make.nxb.conf"
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
MACHINE=arm
MACHINE_ARCH=armv6
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
---Begin make.nxb.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
AS=/nxb-bin/usr/bin/as
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
READELF=/nxb-bin/usr/bin/readelf
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
---End make.nxb.conf---
=======================<phase: check-sanity   >============================
===>  License GPLv3 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   mu4e-0.9.16 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.8.8.txz
pkg-static: Warning: Major OS version upgrade detected.  Running "pkg-static 
install -f pkg" recommended
[110armv6-quarterly-job-09] Installing pkg-1.8.8...
[110armv6-quarterly-job-09] Extracting pkg-1.8.8: .......... done
===>   mu4e-0.9.16 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of mu4e-0.9.16
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by mu4e-0.9.16 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by mu4e-0.9.16 for building
=> SHA256 Checksum OK for djcb-mu-v0.9.16_GH0.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by mu4e-0.9.16 for building
===>  Extracting for mu4e-0.9.16
=> SHA256 Checksum OK for djcb-mu-v0.9.16_GH0.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for mu4e-0.9.16
===>  Applying FreeBSD patches for mu4e-0.9.16
===========================================================================
=======================<phase: build-depends  >============================
===>   mu4e-0.9.16 depends on file: /usr/local/bin/emacs-25.1 - not found
===>   Installing existing package /packages/All/emacs25-25.1,3.txz
pkg-static: Warning: Major OS version upgrade detected.  Running "pkg-static 
install -f pkg" recommended
[110armv6-quarterly-job-09] Installing emacs25-25.1,3...
[110armv6-quarterly-job-09] `-- Installing indexinfo-0.2.5...
[110armv6-quarterly-job-09] `-- Extracting indexinfo-0.2.5: .... done
[110armv6-quarterly-job-09] `-- Installing giflib-5.1.3...
[110armv6-quarterly-job-09] `-- Extracting giflib-5.1.3: .......... done
[110armv6-quarterly-job-09] `-- Installing libXft-2.3.2_1...
[110armv6-quarterly-job-09] |   `-- Installing xproto-7.0.28...
[110armv6-quarterly-job-09] |   `-- Extracting xproto-7.0.28: .......... done
[110armv6-quarterly-job-09] |   `-- Installing fontconfig-2.12.1,1...
[110armv6-quarterly-job-09] |   | `-- Installing expat-2.2.0...
[110armv6-quarterly-job-09] |   | `-- Extracting expat-2.2.0: .......... done
[110armv6-quarterly-job-09] |   | `-- Installing freetype2-2.6.3...
[110armv6-quarterly-job-09] |   | `-- Extracting freetype2-2.6.3: .......... 
done
[110armv6-quarterly-job-09] |   `-- Extracting fontconfig-2.12.1,1: .......... 
done
<snip>
tpmd_enable="YES"

To use TPM, add your_account to '_tss' group like following:

# pw groupmod _tss -m your_account
Message from gcc-4.8.5_2:
To ensure binaries built with this toolchain find appropriate versions
of the necessary run-time libraries, you may want to link using

  -Wl,-rpath=/usr/local/lib/gcc48

For ports leveraging USE_GCC, USES=compiler, or USES=fortran this happens
transparently.
Message from liblqr-1-0.4.1_8:
==========================================================================
NOTE: In order to compile examples for liblqr, you will
also need pngwriter port (/usr/ports/graphics/pngwriter).
Examples are located in /usr/local/share/examples/liblqr-1
==========================================================================
Message from fftw3-3.3.3_2:
===>   NOTICE:

The fftw3 port currently does not have a maintainer. As a result, it is
more likely to have unresolved issues, not be up-to-date, or even be removed in
the future. To volunteer to maintain this port, please create an issue at:

https://bugs.freebsd.org/bugzilla

More information about port maintainership is available at:

https://www.freebsd.org/doc/en/articles/contributing/ports-contributing.html#maintain-port
Message from ghostscript9-agpl-base-9.16_5:
Note: in order to use the script "dvipdf", dvips must be installed.
This program is provided by another package print/tex-dvipsk.

FAPIfontmap and FAPIcidfmap in /usr/local/share/ghostscript/9.16/Resource/Init
have to be configured if you want to use FAPI feature.
===>   mu4e-0.9.16 depends on file: /usr/local/bin/emacs-25.1 - found
===>   Returning to build of mu4e-0.9.16
===>   mu4e-0.9.16 depends on executable: autoconf-2.69 - not found
===>   Installing existing package /packages/All/autoconf-2.69_1.txz
pkg-static: Warning: Major OS version upgrade detected.  Running "pkg-static 
install -f pkg" recommended
[110armv6-quarterly-job-09] Installing autoconf-2.69_1...
[110armv6-quarterly-job-09] `-- Installing autoconf-wrapper-20131203...
[110armv6-quarterly-job-09] `-- Extracting autoconf-wrapper-20131203: ........ 
done
[110armv6-quarterly-job-09] `-- Installing m4-1.4.17_1,1...
[110armv6-quarterly-job-09] `-- Extracting m4-1.4.17_1,1: .......... done
[110armv6-quarterly-job-09] Extracting autoconf-2.69_1: .......... done
===>   mu4e-0.9.16 depends on executable: autoconf-2.69 - found
===>   Returning to build of mu4e-0.9.16
===>   mu4e-0.9.16 depends on executable: autoheader-2.69 - found
===>   mu4e-0.9.16 depends on executable: autoreconf-2.69 - found
===>   mu4e-0.9.16 depends on executable: aclocal-1.15 - not found
===>   Installing existing package /packages/All/automake-1.15_1.txz
pkg-static: Warning: Major OS version upgrade detected.  Running "pkg-static 
install -f pkg" recommended
[110armv6-quarterly-job-09] Installing automake-1.15_1...
[110armv6-quarterly-job-09] `-- Installing automake-wrapper-20131203...
[110armv6-quarterly-job-09] `-- Extracting automake-wrapper-20131203: ... done
[110armv6-quarterly-job-09] Extracting automake-1.15_1: .......... done
===>   mu4e-0.9.16 depends on executable: aclocal-1.15 - found
===>   Returning to build of mu4e-0.9.16
===>   mu4e-0.9.16 depends on executable: automake-1.15 - found
===>   mu4e-0.9.16 depends on executable: gmake - not found
===>   Installing existing package /packages/All/gmake-4.2.1_1.txz
pkg-static: Warning: Major OS version upgrade detected.  Running "pkg-static 
install -f pkg" recommended
[110armv6-quarterly-job-09] Installing gmake-4.2.1_1...
[110armv6-quarterly-job-09] Extracting gmake-4.2.1_1: .......... done
===>   mu4e-0.9.16 depends on executable: gmake - found
===>   Returning to build of mu4e-0.9.16
===>   mu4e-0.9.16 depends on executable: makeinfo - not found
===>   Installing existing package /packages/All/texinfo-6.1.20160425,1.txz
pkg-static: Warning: Major OS version upgrade detected.  Running "pkg-static 
install -f pkg" recommended
[110armv6-quarterly-job-09] Installing texinfo-6.1.20160425,1...
[110armv6-quarterly-job-09] Extracting texinfo-6.1.20160425,1: .......... done
===>   mu4e-0.9.16 depends on executable: makeinfo - found
===>   Returning to build of mu4e-0.9.16
===>   mu4e-0.9.16 depends on package: pkgconf>=0.9.10 - found
===========================================================================
=======================<phase: lib-depends    >============================
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for mu4e-0.9.16
configure.ac:76: installing './compile'
configure.ac:23: installing './install-sh'
configure.ac:23: installing './missing'
mu4e/Makefile.am:21: installing 'mu4e/texinfo.tex'
configure: loading site script /usr/ports/Templates/config.site
checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... (cached) /bin/mkdir -p
checking for gawk... (cached) /usr/bin/awk
checking whether gmake sets $(MAKE)... yes
checking whether gmake supports nested variables... yes
checking whether gmake supports nested variables... (cached) yes
checking for gawk... (cached) /usr/bin/awk
checking for sort... sort
checking for makeinfo... yes
checking for emacs... emacs
checking where .elc files should go... ${datadir}/emacs/site-lisp
checking for style of include used by gmake... GNU
checking for gcc... /nxb-bin/usr/bin/cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether /nxb-bin/usr/bin/cc accepts -g... yes
checking for /nxb-bin/usr/bin/cc option to accept ISO C89... none needed
checking whether /nxb-bin/usr/bin/cc understands -c and -o together... yes
checking dependency style of /nxb-bin/usr/bin/cc... none
checking for dirent.h that defines DIR... yes
checking for library containing opendir... none required
checking for struct dirent.d_type... yes
checking for struct dirent.d_ino... yes
checking for memset... (cached) yes
checking for memcpy... (cached) yes
checking for realpath... (cached) yes
checking for setlocale... (cached) yes
checking for strerror... (cached) yes
checking for getpass... yes
checking for timegm... yes
checking for pkg-config... /usr/local/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for makeinfo... (cached) yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating mu4e/Makefile
config.status: creating mu4e/mu4e-meta.el
config.status: creating mu4e/texi.texi
config.status: creating config.h
config.status: executing depfiles commands

mu configuration is complete.
------------------------------------------------
mu version                           : 0.9.16

Xapian version                       : 
GLib version                         : 
GMime version                        : 
Emacs version                        : GNU Emacs 25.1.1

Have wordexp                         : 
Build mu4e emacs frontend            : yes
Build 'mug' toy-ui (gtk+/webkit)     : no
McCabe's Cyclomatic Complexity tool  : 

Have direntry->d_ino                 : yes
Have direntry->d_type                : yes
------------------------------------------------

* Your system does not seem to have the 'wordexp' function.
  This means that you cannot use shell-like expansion in options and 
  some other places. So, for example, instead of
    --maildir=~/Maildir
  you should use the complete path, something like:
    --maildir=/home/user/Maildir

Now, type 'make' to build mu (or 'make check' to run the unit tests, too)

===========================================================================
=======================<phase: build          >============================
===>  Building for mu4e-0.9.16
gmake[1]: Entering directory '/wrkdirs/usr/ports/mail/mu4e/work/mu-0.9.16/mu4e'
gmake[2]: Entering directory '/wrkdirs/usr/ports/mail/mu4e/work/mu-0.9.16/mu4e'
restore=: && backupdir=".am$$" && \
am__cwd=`pwd` && CDPATH="${ZSH_VERSION+.}:" && cd . && \
rm -rf $backupdir && mkdir $backupdir && \
if (/bin/sh /wrkdirs/usr/ports/mail/mu4e/work/mu-0.9.16/missing makeinfo 
--version) >/dev/null 2>&1; then \
  for f in mu4e.info mu4e.info-[0-9] mu4e.info-[0-9][0-9] mu4e.i[0-9] 
mu4e.i[0-9][0-9]; do \
    if test -f $f; then mv $f $backupdir; restore=mv; else :; fi; \
  done; \
else :; fi && \
cd "$am__cwd"; \
if /bin/sh /wrkdirs/usr/ports/mail/mu4e/work/mu-0.9.16/missing makeinfo   -I . \
 -o mu4e.info mu4e.texi; \
then \
  rc=0; \
  CDPATH="${ZSH_VERSION+.}:" && cd .; \
else \
  rc=$?; \
  CDPATH="${ZSH_VERSION+.}:" && cd . && \
  $restore $backupdir/* `echo "./mu4e.info" | sed 's|[^/]*$||'`; \
fi; \
rm -rf $backupdir; exit $rc
if test "/usr/local/bin/emacs-25.1" != "no"; then \
  am__dir=. am__subdir_includes=''; \
  case mu4e-actions.elc in */*) \
    am__dir=`echo 'mu4e-actions.elc' | sed 's,/[^/]*$,,'`; \
    am__subdir_includes="-L $am__dir -L ./$am__dir"; \
  esac; \
  test -d "$am__dir" || /bin/mkdir -p "$am__dir" || exit 1; \
  /usr/local/bin/emacs-25.1 --batch \
      \
    $am__subdir_includes -L . -L . \
    --eval "(defun byte-compile-dest-file (f) \"mu4e-actions.elc\")" \
    --eval "(unless (byte-compile-file \"mu4e-actions.el\") (kill-emacs 1))"; \
else :; fi
====>> Killing runaway build after 72000 seconds with no output
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to